Loading...
Searching...
No Matches
stack.h File Reference
`#include <stdint.h>`

Go to the source code of this file.

## Typedefs

typedef struct ARC_Stack | ARC_Stack
| a stack type

## Functions

void | ARC_Stack_Create (ARC_Stack **stack)
| creates ARC_Stack type
void | ARC_Stack_Destroy (ARC_Stack *stack)
| destroyes ARC_Stack type
void | ARC_Stack_Push (ARC_Stack *stack, void *data)
| pushes value on stack
void * | ARC_Stack_Pop (ARC_Stack *stack)
| pops top off of ARC_Stack
uint32_t | ARC_Stack_Size (ARC_Stack *stack)
| gets size of stack

## Typedef Documentation

## ARC_Stack

typedef struct ARC_Stack ARC_Stack

a stack type

Definition at line 13 of file stack.h.

## Function Documentation

## ARC_Stack_Create()

void ARC_Stack_Create | ( | ARC_Stack ** | stack | ) |

creates ARC_Stack type

Parameters

  stack | ARC_Stack to initialize

## ARC_Stack_Destroy()

void ARC_Stack_Destroy | ( | ARC_Stack * | stack | ) |

destroyes ARC_Stack type

## ARC_Stack_Pop()

void * ARC_Stack_Pop | ( | ARC_Stack * | stack | ) |

pops top off of ARC_Stack

Parameters

  stack | ARC_Stack to remove from

Returns
  the poped data from the stack as a void *

## ARC_Stack_Push()

void ARC_Stack_Push | ( | ARC_Stack * | stack,
|  | void * | data )

pushes value on stack

Parameters

  stack | ARC_Stack to push to
  data | data that is being pushed

## ARC_Stack_Size()

uint32_t ARC_Stack_Size | ( | ARC_Stack * | stack | ) |

gets size of stack

Parameters

  stack | ARC_Stack to get size from

Returns
  the stacks size